Bug 625725 - Wishlist - jpegtran utility misses some important options
Wishlist - jpegtran utility misses some important options
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libjpeg-turbo (Show other bugs)
15
All Linux
low Severity medium
: ---
: ---
Assigned To: Adam Tkac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-20 05:44 EDT by Zdenek Kabelac
Modified: 2013-04-30 19:46 EDT (History)
2 users (show)

See Also:
Fixed In Version: libjpeg-turbo-1.1.0-2.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-11 11:16:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2010-08-20 05:44:19 EDT
Description of problem:

libjpeg-turbo seems to come with different (older) version of jpegtran utility for lossless jpeg conversion.

It's missing support for these operations:

 
  -crop WxH+X+Y  Crop to a rectangular subarea
  -perfect       Fail if there is non-transformable edge blocks
  -scale M/N     Scale output image by fraction M/N, eg, 1/8

Support for lossless crop operation is quite important for digi cams.

I assume arithmetic coding could have some patent issues?? - thus maybe this option probably will not get to Fedora:
  -arithmetic    Use arithmetic coding

Version-Release number of selected component (if applicable):
libjpeg-turbo-utils-1.0.0-3.fc15.x86_64


Steps to Reproduce:
1. jpegtran -h

Additional info:

http://sylvana.net/jpegcrop/jpegtran/
http://www.ijg.org/
Comment 1 Adam Tkac 2011-07-11 11:16:44 EDT
The latest libjpeg-turbo (libjpeg-turbo-utils-1.1.0-2.fc15) supports all options written above. Closing.

Note You need to log in before you can comment on or make changes to this bug.